import request from '@/utils/request'

// 查询推送管理列表
export function listPush(query) {
  return request({
    url: '/iit/push/list',
    method: 'get',
    params: query
  })
}

// 查询推送管理详细
export function getPush(id) {
  return request({
    url: '/iit/push/' + id,
    method: 'get'
  })
}

// 新增推送管理
export function addPush(data) {
  return request({
    url: '/iit/push',
    method: 'post',
    data: data
  })
}

// 修改推送管理
export function updatePush(data) {
  return request({
    url: '/iit/push',
    method: 'put',
    data: data
  })
}

// 删除推送管理
export function delPush(id) {
  return request({
    url: '/iit/push/' + id,
    method: 'delete'
  })
}
